> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Status V1.2

> Use these details to get details of a particular transfer. You can pass referenceId or transferId to fetch the details.



## OpenAPI

````yaml get /payout/v1.2/getTransferStatus
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1.2/getTransferStatus:
    get:
      summary: Get Transfer Status V1.2
      description: >-
        Use these details to get details of a particular transfer. You can pass
        referenceId or transferId to fetch the details.
      operationId: get-transfer-status-v1-21
      parameters:
        - name: referenceId
          in: query
          description: >-
            Reference ID of the transaction. (Either referenceId or transferId
            is mandatory)
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: transferId
          in: query
          description: Transfer ID of the transaction.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_6'
              examples:
                InvalidTransferId:
                  summary: Invalid transferId
                  value:
                    status: ERROR
                    subCode: '404'
                    message: transferId is invalid or does not exist
                InvalidReferenceId:
                  summary: Invalid referenceId
                  value:
                    status: ERROR
                    subCode: '404'
                    message: referenceId is invalid or does not exist
        2XX:
          description: Transfer details for different statuses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_2XX'
              examples:
                TransferSuccessful:
                  summary: Transfer successful
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 23457200
                    data:
                      transfer:
                        transferId: javasdktesttransferid120793
                        bankAccount: 7766671501729
                        ifsc: SBIN0000003
                        beneId: johndoevalid983
                        amount: '1'
                        status: SUCCESS
                        utr: '0470445059841910'
                        addedOn: '2021-11-24T13:39:25.000Z'
                        processedOn: '2021-11-24T13:40:27.000Z'
                        transferMode: BANK
                        acknowledged: 1
                        phone: '9876543210'
                        paymentInstrumentId: CASHFREE_1
                TransferPending:
                  summary: Transfer pending
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 403010
                    data:
                      transfer:
                        transferId: test_transfer12
                        bankAccount: 1059323929
                        ifsc: HDFC0000077
                        beneId: 72210855581636420000
                        amount: '20'
                        status: PENDING
                        addedOn: '2021-11-15T17:20:30.000Z'
                        processedOn: '2021-11-15T17:20:30.000Z'
                        transferMode: BANK
                        acknowledged: 0
                        phone: '7221085558'
                        paymentInstrumentId: CASHFREE_1
                TransferFailed:
                  summary: Transfer failed
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 411914
                    data:
                      transfer:
                        transferId: async_test_869
                        beneId: ''
                        amount: '1'
                        status: FAILED
                        addedOn: '2021-11-22T13:43:04.000Z'
                        processedOn: '2021-11-22T13:43:05.000Z'
                        reason: INVALID_ACCOUNT_FAIL
                        transferMode: PAYTM
                        acknowledged: 0
                        paymentInstrumentId: CASHFREE_1
                TransferRejected:
                  summary: Transfer rejected
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 23457123
                    data:
                      transfer:
                        transferId: transfer_13
                        beneId: ''
                        amount: '4.56'
                        status: REJECTED
                        addedOn: '2021-11-24T11:18:44.000Z'
                        processedOn: '2021-11-24T11:18:44.000Z'
                        reason: BENEFICIARY_NOT_EXIST
                        transferMode: BANK
                        acknowledged: 0
                        paymentInstrumentId: CASHFREE_1
                TransferReversed:
                  summary: Transfer reversed
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 403239
                    data:
                      transfer:
                        transferId: test_transfer26
                        bankAccount: '02014457596969'
                        ifsc: CITI0000001
                        beneId: 75036302671636550000
                        amount: '3'
                        status: REVERSED
                        utr: '1637055017373632'
                        addedOn: '2021-11-16T15:00:17.000Z'
                        processedOn: '2021-11-16T15:01:17.000Z'
                        reason: ANY_OTHER_REASON
                        transferMode: BANK
                        acknowledged: 0
                        phone: '7503630267'
                        paymentInstrumentId: CASHFREE_1
                TransferReceived:
                  summary: Transfer received
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 402310
                    data:
                      transfer:
                        transferId: transferBaas9899
                        beneId: ''
                        amount: '1'
                        status: RECEIVED
                        addedOn: '2021-11-11T16:07:43.000Z'
                        processedOn: '1899-11-30T00:00:00.000Z'
                        transferMode: BANK
                        acknowledged: 0
                        paymentInstrumentId: CASHFREE_1
      deprecated: false
      security: []
components:
  schemas:
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404_6:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: transferId is invalid or does not exist
    inline_response_2XX:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Details of transfer with referenceId
        data:
          $ref: '#/components/schemas/inline_response_2XX_data'
    inline_response_2XX_data:
      type: object
      properties:
        transfer:
          $ref: '#/components/schemas/inline_response_2XX_data_transfer'
    inline_response_2XX_data_transfer:
      type: object
      properties:
        transferId:
          type: string
          example: javasdktesttransferid120793
        bankAccount:
          type: string
          example: '7766671501729'
        ifsc:
          type: string
          example: SBIN0000003
        beneId:
          type: string
          example: johndoevalid983
        amount:
          type: string
          example: '1'
        status:
          type: string
          example: SUCCESS
        utr:
          type: string
          example: '0470445059841910'
        addedOn:
          type: string
          example: '2021-11-24T13:39:25.000Z'
        processedOn:
          type: string
          example: '2021-11-24T13:40:27.000Z'
        transferMode:
          type: string
          example: BANK
        acknowledged:
          type: integer
          example: 1
        phone:
          type: string
          example: '9876543210'
        paymentInstrumentId:
          type: string
          example: CASHFREE_1

````